Bug 29549 - Incorrect layout animation when presenting a MasterDetailPage modally
Summary: Incorrect layout animation when presenting a MasterDetailPage modally
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: 1.4.3
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Rui Marinho
URL:
Depends on:
Blocks:
 
Reported: 2015-04-29 13:47 UTC by John Miller [MSFT]
Modified: 2015-08-11 11:35 UTC (History)
6 users (show)

Tags: ac ios visual
Is this bug a regression?: ---
Last known good build:


Attachments
Test Case (174.95 KB, application/zip)
2015-04-29 13:47 UTC, John Miller [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Miller [MSFT] 2015-04-29 13:47:27 UTC
Created attachment 10961 [details]
Test Case

**Overview:**

   When presenting a MasterDetailPage modally, it appears to fill the entire screen, then quickly jumps down to layout below the status bar. 

**Steps to Reproduce:**

   1. Run the attached sample on an iPhone 4 or 4s device (can't repro on simulator)
   2. Press the Login button

**Actual Results:**

   The MasterDetailPage appears to fill the entire screen, then quickly jumps down to layout below the status bar. 

**Expected Results:**

   What the application should have done, were the bug not present.

**Build Date & Platform:**

   XF 1.4.2
Comment 3 John Miller [MSFT] 2015-05-08 14:35:55 UTC
Dominic was able to reproduce this issue running iOS 7.1.2 on an iPhone 4 device using the attached sample project. 

It was also reproducible with the latest 1.4.3-pre2 version of XF. Marking Confirmed.
Comment 4 Chris King 2015-05-21 19:18:17 UTC
In John we trust. I do see an artifact during the animation to bring the m/d page onscreen. Is that what we're reporting here? That is slides up under that status bar then jumps down? If so, I see that.
Comment 5 Boris Scheiman 2015-05-21 19:19:43 UTC
Yep, that's the one.
Comment 6 John Miller [MSFT] 2015-05-26 09:44:30 UTC
@Chris, As Boris confirmed, yes that is "the one".
Comment 7 Jason Smith [MSFT] 2015-08-05 14:59:38 UTC
Should be fixed in 1.5.0-pre1
Comment 8 Parmendra Kumar 2015-08-11 11:35:46 UTC
I have checked this issue with X.F 1.5.0-pre1 and X.iOS 7.1 and now its working fine.

Hence closing this issue.

If you getting issue please feel free to reopen this issue.

Thanks..!